## Package org.apache.felix.httplite.servlet

Class Summary
ConcreteServletInputStream: Simple utility input stream class that provides a method for reading a line of characters, where a "line" is leniently defined as anything ending in '\n' or '\r\n'.
HttpConstants: Defines some commonly used HTTP constants and headers.
HttpServletRequestImpl: This class represents an HTTP request, which is parses from a given input stream, and implements HttpServletRequest for servlet processing.
HttpServletResponseImpl: This class represents an HTTP response and handles sending properly formatted responses to HTTP requests.
ServletConfigImpl: ServletConfig implementation.
ServletContextImpl: ServletContext implementation.
ServletOutputStreamImpl: ServletOutputStream Implementation.

Exception Summary
UnimplementedAPIException: A specific exception for unimplemented features.

Copyright © 2006-2012 The Apache Software Foundation. All Rights Reserved.